# API reference

## Plotting

```{eval-rst}
.. currentmodule:: plopp

.. autosummary::
   :toctree: ../generated

   inspector
   mesh3d
   plot
   slicer
   superplot
   scatter
   scatter3d
   xyplot
```

## Core

```{eval-rst}
.. autosummary::
   :toctree: ../generated

   core.Node
   core.View
   core.node
   core.show_graph
   core.widget_node
```

## Graphics

```{eval-rst}
.. autosummary::
   :toctree: ../generated

   graphics.BoundingBox
   graphics.Camera
   graphics.ColorMapper
   graphics.imagefigure
   graphics.linefigure
   graphics.mesh3dfigure
   graphics.scatterfigure
   graphics.scatter3dfigure
   graphics.tiled
```

## Widgets and tools

```{eval-rst}
.. autosummary::
   :toctree: ../generated

   widgets.Box
   widgets.Checkboxes
   widgets.HBar
   widgets.RangeSliceWidget
   widgets.SliceWidget
   widgets.VBar

   widgets.tools.AxesTool
   widgets.tools.ButtonTool
   widgets.tools.CameraTool
   widgets.tools.ColorTool
   widgets.tools.HomeTool
   widgets.tools.LogNormTool
   widgets.tools.LogxTool
   widgets.tools.LogyTool
   widgets.tools.MultiToggleTool
   widgets.tools.OutlineTool
   widgets.tools.PanZoomTool
   widgets.tools.SaveTool
   widgets.tools.ToggleTool

   widgets.drawing.DrawingTool
   widgets.drawing.PointsTool

   widgets.clip3d.Clip3dTool
   widgets.clip3d.ClippingPlanes
```

## Backends

```{eval-rst}
.. toctree::
   :maxdepth: 1

   matplotlib
   plotly
   pythreejs
```
